import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.store.employee.list,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.store.employee.doEdit,
    method: 'post',
    data,
  })
}

export function saveOrUpdateEmployee(data) {
  return request({
    url: URL.shop.store.employee.saveOrUpdateEmployee,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.store.employee.doDelete,
    method: 'post',
    data,
  })
}
